=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2009-08-03 20:08:09 +0000
+++ m4/pandora_canonical.m4	2009-08-04 18:26:02 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.37])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.38])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   dnl Force dependency tracking on for Sun Studio builds

=== modified file 'm4/pandora_have_better_malloc.m4'
--- m4/pandora_have_better_malloc.m4	2009-07-14 22:35:09 +0000
+++ m4/pandora_have_better_malloc.m4	2009-08-04 18:26:02 +0000
@@ -11,8 +11,16 @@
   AC_ARG_ENABLE([umem],
     [AS_HELP_STRING([--enable-umem],
        [Enable linking with libumem @<:@default=off@:>@])],
-    [ac_enable_umem="$enableval"],
-    [ac_enable_umem="no"])
+    [ac_enable_umem="$enableval"],[
+      case "$target_os" in
+        *solaris*)
+          ac_enable_umem="yes"
+        ;;
+        *)
+          ac_enable_umem="no"
+        ;;
+      esac
+    ])
   
   AC_ARG_ENABLE([tcmalloc],
     [AS_HELP_STRING([--enable-tcmalloc],

